Summary:	A system tool for maintaining the /etc/rc.d hierarchy.
Name:		chkconfig
Group:		System Environment/Base
License:	GPL
Version:	1.3.11.1
Release:	2
Source:		ftp://ftp.redhat.com/pub/redhat/code/chkconfig/chkconfig-%{version}.tar.gz
Patch0:		chkconfig-1.3.8-nontsysv-nonalt.patch
BuildRoot:	%{_tmppath}/%{name}-%{release}-root

%description
Chkconfig is a basic system utility.  It updates and queries runlevel
information for system services.  Chkconfig manipulates the numerous
symbolic links in /etc/rc.d, to relieve system administrators of some 
of the drudgery of manually editing the symbolic links.

%files
  %defattr(-,root,root)
  %doc %{_mandir}/man8/chkconfig.8*

  %dir /etc/rc*.d
  %attr(0750,root,admin) 	%{_root_sbindir}/chkconfig
  %attr(0444,root,root)		%{_datadir}/locale/*/LC_MESSAGES/chkconfig.mo

%prep
%setup -q
%patch0 -p1

%build
  make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  umask 027
  make instroot=$RPM_BUILD_ROOT install

  mkdir -p $RPM_BUILD_ROOT/etc/init.d
  for n in 0 1 2 3 4 5 6; do
    mkdir -p $RPM_BUILD_ROOT/etc/rc${n}.d
  done

  # Remove unpackaged files.
  rmdir $RPM_BUILD_ROOT/%{_sbindir}

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Aug 25 2005 Pete O'Hara <pete@guardiandigital.com>
- Version 1.3.11.1, Release 2
  - Upgraded to 1.3.11.1

* Tue Jun 29 2005 Pete O'Hara <pete@guardiandigital.com>
- Version 1.3.8, Release 1
  - Upgraded to 1.3.8
  - Removed alternatives program
